@import "node_modules/ol/ol.css";

html, body {
  margin: 40px;
  height: 100%;
  font-family: Verdana;
  background-image: url("nasa_galaxies.jpg");
}
.sidebar {
  width: 1000px;
  grid-area: sidebar;
  font-size: 80%;
}
.content {
  grid-area: content;
  width: 1000px;
  height: 600px;
}
.header {
  width: 1000px;
  grid-area: header;
  font-size: 150%;
}
.wrapper {
  display: grid;
  grid-gap: 1em;
  grid-template-areas:
   "header"
   "sidebar"
   "content"
}
.button#start-simulation {
  background-color:red;
  color: white;
  font-size: 150%;
}
.button#reset-simulation {
  font-size: 150%;
}

.box {
  background-color: #444;
  color: #fff;
  border-radius: 5px;
  padding: 20px;
}
.map {
  top: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
}
.ol-tooltip {
  position: relative;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 4px;
  color: white;
  padding: 4px 8px;
  opacity: 0.7;
  white-space: nowrap;
  font-size: 12px;
  cursor: default;
  user-select: none;
}
.ol-tooltip-measure {
  opacity: 1;
  font-weight: bold;
}
.ol-tooltip-static {
  background-color: #ffcc33;
  color: black;
  border: 1px solid white;
}
.ol-tooltip-measure:before,
.ol-tooltip-static:before {
  border-top: 6px solid rgba(0, 0, 0, 0.5);
  border-right: 6px solid transparent;
  border-left: 6px solid transparent;
  content: "";
  position: absolute;
  bottom: -6px;
  margin-left: -7px;
  left: 50%;
}
.ol-tooltip-static:before {
  border-top-color: #ffcc33;
}